/** Vendor imports Go HERE */
import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
/** Vendor imports Go HERE */
import { ResultInformationModel } from '../models/stack-report.model';
import { MTab, MCardDetails, MGenericStackInformation } from '../models/ui.model';
export declare class CardDetailsComponent implements OnInit, OnChanges {
    cardDetails: any;
    genericInformation: MGenericStackInformation;
    repoInfo: any;
    report: ResultInformationModel;
    whatCard: string;
    details: MCardDetails;
    tabs: Array<MTab>;
    USER_ACTION: any;
    cardTypes: any;
    titleAndDescription: any;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private canInclude(cardType, component);
    private getMComponentFeedback(type, component);
    private getCompanionComponents();
    private getCompanionComponentDetails();
    private decideAction(component);
    private getUIReportInformations(cardType);
    private hasUnknownLicense(component);
    private getUnknownLicenseComponentDetails();
    private getUnknownComponentDetails(cardType);
    private getMGithub(component);
    private getLicensesAnalysis();
    private hasLicenseIssue(component);
    private getComponentInformation(component);
    private getUnknownLicenses(component);
    private getMLicenseAffected(component);
    private getComponentSecurityInformation(component);
    private getComponentSecurity(component);
    private getTitleAndDescription(cardType);
    private fillColumnHeaders(cardType, tabNo?);
    private paint();
}
